# UniTAP.dev.ports.modules.link.dp.link_status_common

class VCPStatus:

Class `VCPStatus` describes МСЗ status. Contains following information:

- Port number.
- Stream ID.
- Requested PBN.
- Allocated PBN.
- Number of slots allocated for VC.
- Number of first time slot allocated for VC.

port_number
stream_id
req_pbn
alloc_pbn
first_slot
slot_num
class DpLinkEncoding(enum.IntEnum):

Class `DpLinkEncoding` contains all possible variants of DP link encoding.

LE_NONE = <DpLinkEncoding.LE_NONE: 0>
LE_8b10b = <DpLinkEncoding.LE_8b10b: 1>
LE_128b132b = <DpLinkEncoding.LE_128b132b: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class DpLinkTrainingResult(enum.IntEnum):

Class `DpLinkTrainingResult` contains all possible variants of Link training results.

LTR_NOT_STARTED = <DpLinkTrainingResult.LTR_NOT_STARTED: 0>
LTR_IN_PROGRESS = <DpLinkTrainingResult.LTR_IN_PROGRESS: 1>
LTR_FAIL = <DpLinkTrainingResult.LTR_FAIL: 2>
LTR_SUCCESS = <DpLinkTrainingResult.LTR_SUCCESS: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class LaneStatus:

Class `LaneStatus` describes lane status. Contains following information:

- CR state.
- SL state.
- EQ state.
- Voltage swing value.
- Pre Emphasis value.
- FFE preset value.
- Error count.

cr
sl
eq
voltage_swing
pre_emphasis
ffe_preset
error_count
class SdpCrc16:

Class `SdpCrc16` describes SDP CRC16 errors on the stream. It contains 'State' - enabled or disabled, and errors - count of the errors on the stream.

state
errors
class StreamStatus:

Class `StreamStatus` describes stream status. Contains following information:

- Video mode `VideoMode`.
- CRC value of stream.
- DSC CRC value of stream.
- SDP CRC16 error of stream

video_mode
crc
dsc_crc
sdp_crc16
class StreamStatusDP(StreamStatus):

The `StreamStatusDP` class inherited from the `StreamStatus` class and contains all the functionality.

- MVID
- NVID
- VFREQ `vfreq`

mvid
nvid
vfreq: int

Return value of VFREQ.

###### Returns:

> object of `int` type

##### Inherited Members

StreamStatus
  video_mode
  crc
  dsc_crc
  sdp_crc16

DP21_LinkRate = {1: 10.0, 2: 20.0, 4: 13.5}
DP21_LinkRateRev = {10.0: 1, 20.0: 2, 13.5: 4}